For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Pages
      • GETGet Page Metadata
      • PUTUpdate Page Metadata
      • PATCHBulk update page metadata
      • GETGet Page Content
      • POSTUpdate Page Content
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Pages and ComponentsPages

Update Page Content

POST
https://api.webflow.com/beta/pages/:page_id/dom
POST
/beta/pages/:page_id/dom
$curl -X POST "https://api.webflow.com/beta/pages/63c720f9347c2139b248e552/dom?localeId=localeId" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "nodes": [
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad623",
> "text": "<h1>The Hitchhiker'\''s Guide to the Galaxy</h1>"
> },
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad627",
> "text": "<div><h3>Don'\''t Panic!</h3><p>Always know where your towel is.</p></div>"
> },
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad635",
> "text": "<h1>Hello world</h1>",
> "choices": [
> {
> "value": "choice-1",
> "text": "First choice"
> },
> {
> "value": "choice-2",
> "text": "Second choice"
> }
> ]
> },
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad642",
> "text": "<h1>Hello world</h1>",
> "placeholder": "Enter something here..."
> },
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad671",
> "text": "<h1>Hello world</h1>",
> "value": "Submit",
> "waitingText": "Submitting..."
> },
> {
> "nodeId": "a245c12d-995b-55ee-5ec7-aa36a6cad629",
> "text": "<h1>Hello world</h1>",
> "propertyOverrides": [
> {
> "propertyId": "7dd14c08-2e96-8d3d-2b19-b5c03642a0f0",
> "text": "<div><h1>Time is an <em>illusion</em></h1></div>"
> },
> {
> "propertyId": "7dd14c08-2e96-8d3d-2b19-b5c03642a0f1",
> "text": "Life, the Universe and Everything"
> }
> ]
> }
> ]
>}'
1{
2 "errors": []
3}
This endpoint updates content on a static page in **secondary locales**. It supports updating up to 1000 nodes in a single request. Before making updates: 1. Use the [get page content](/data/reference/pages-and-components/pages/get-content) endpoint to identify available content nodes and their types. 2. If the page has component instances, retrieve the component's properties that you'll override using the [get component properties](/data/reference/pages-and-components/components/get-properties) endpoint. 3. DOM elements may include a `data-w-id` attribute. This attribute is used by Webflow to maintain custom attributes and links across locales. Always include the original `data-w-id` value in your update requests to ensure consistent behavior across all locales. <Note> This endpoint is specifically for localized pages. Ensure that the specified `localeId` is a valid **secondary locale** for the site otherwise the request will fail. </Note> Required scope | `pages:write`
Was this page helpful?
Previous

List Components

Next
Built with

This endpoint updates content on a static page in secondary locales. It supports updating up to 1000 nodes in a single request.

Before making updates:

  1. Use the get page content endpoint to identify available content nodes and their types.
  2. If the page has component instances, retrieve the component’s properties that you’ll override using the get component properties endpoint.
  3. DOM elements may include a data-w-id attribute. This attribute is used by Webflow to maintain custom attributes and links across locales. Always include the original data-w-id value in your update requests to ensure consistent behavior across all locales.

This endpoint is specifically for localized pages. Ensure that the specified localeId is a valid secondary locale for the site otherwise the request will fail.

Required scope | pages:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

page_idstringRequiredformat: "objectid"
Unique identifier for a Page

Query parameters

localeIdstringRequired
The locale identifier.

Request

The body for which to update the page dom nodes. Nodes can be of type text or component instances.
nodeslist of objectsRequired
List of DOM Nodes with the new content that will be updated in each node.

Response

Request was successful
errorslist of strings
A list of error messages, if any.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error